Bug 173222 - Ark doesn't open lha archive
Ark doesn't open lha archive
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kdeutils (Show other bugs)
5
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-15 04:38 EST by Ian Chapman
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-17 17:55:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The problematic archive (396.82 KB, application/octet-stream)
2005-11-15 04:44 EST, Ian Chapman
no flags Details

  None (edit)
Description Ian Chapman 2005-11-15 04:38:00 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The attached lha appears empty to Ark. When the archive is double clicked on, Ark loads but does not show any files. The log output (Edit -> View Shell Output) shows:


 PERMSSN    UID  GID    PACKED    SIZE  RATIO METHOD CRC     STAMP          NAME
---------- ----------- ------- ------- ------ ---------- ------------ -------------
-rw-------   500/500     90414  209217  43.2% -lh5- 1a40 Jan  9  2005 01.pcx
-rw-------   500/500     82535  209185  39.5% -lh5- 8f93 Jan  9  2005 02.pcx
-rw-------   500/500    114411  267773  42.7% -lh5- f7ae Jan  9  2005 03.pcx
-rw-------   500/500    118777  271079  43.8% -lh5- 4fd5 Jan  9  2005 04.pcx
---------- ----------- ------- ------- ------ ---------- ------------ -------------
 Total         4 files  406137  957254  42.4%            Nov 14 15:07

When extracting the files using lha from the command line, they all extract without a problem.

Version-Release number of selected component (if applicable):
kdeutils-3.4.2-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1. Double Click on the lha archive in KDE
2.
3.
  

Actual Results:  Does not show the contents of the archive

Expected Results:  Should show the contents of the archive.

Additional info:
Comment 1 Ian Chapman 2005-11-15 04:44:57 EST
Created attachment 121051 [details]
The problematic archive

The archive which Ark fails to handle
Comment 2 Christian Iseli 2007-01-22 06:13:28 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Ian Chapman 2007-01-22 12:59:45 EST
Tested with fc5. I now get the message:

"The utility is not in your PATH"
"Please install it or contact your system administrator."

The utility is indeed in my path.

"which lha" produces: /usr/bin/lha

"echo $PATH" produces: 
/usr/lib64/qt-3.3/bin:/usr/kerberos/bin:/usr/local/bin:/usr/bin:/bin:/usr/X11R6/
bin
Comment 4 Rex Dieter 2007-11-17 17:55:04 EST
lha isn't available in fedora (atm).  So Ark can't support these archives.

Note You need to log in before you can comment on or make changes to this bug.